package fishrungames.bashgid.core;

import java.util.ArrayList;

import fishrungames.bashgid.core.ArticleManager.ArticleShortData;



public class JournalManager
{
	
	public static class JournalRecordData
	{
		public String name;
		public String title;
		public String description;
		public int hidden;
		public int geoCategory;
		public int main;
		
		
		public JournalRecordData(String name, String title, String description, int hidden, int geoCategory, int main)
		{
			this.name = name;
			this.title = title;
			this.description = description;
			this.hidden = hidden;
			this.geoCategory = geoCategory;
			this.main = main;
		}
		
		public JournalRecordData(JournalRecordData copyFrom)
		{
			this.name = copyFrom.name;
			this.title = copyFrom.title;
			this.description = copyFrom.description;
			this.hidden = copyFrom.hidden;
			this.geoCategory = copyFrom.geoCategory;
			this.main = copyFrom.main;
		}
	}
	
	public static class JournalSemiFullData extends JournalRecordData
	{

		public ArrayList<ArticleShortData> articleArr;

		
		public JournalSemiFullData(JournalRecordData copyFrom)
		{
			super(copyFrom);
			articleArr = new ArrayList<ArticleShortData>();
		}
		
	}
	
	
	public static class JournalRecord extends JournalRecordData
	{
		public int id;
		
		public JournalRecord(int id, String name, String title, String description, int hidden, int geoCategory, int main)
		{
			super(name, title, description, hidden, geoCategory, main);
			this.id = id;
		}
	}
		
	
	public static JournalSemiFullData CreateEmptyJournal()
	{
		JournalSemiFullData result = new JournalSemiFullData(new JournalRecordData("", "", "", 1, 0, 0));
		
		return result;
	}
	
	
}
